<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>API Documentation</title>

    <link href="https://fonts.googleapis.com/css?family=PT+Sans&display=swap" rel="stylesheet">

        <link rel="stylesheet" href="css/style.css" media="screen" />
        <link rel="stylesheet" href="css/print.css" media="print" />
        <script src="js/all.js"></script>

        <link rel="stylesheet" href="css/highlight-darcula.css" media="" />
        <script src="js/highlight.pack.js"></script>
    <script>hljs.initHighlightingOnLoad();</script>

</head>

<body class="" data-languages="[&quot;bash&quot;]">
<a href="#" id="nav-button">
      <span>
        NAV
            <img src="images/navbar.png" alt="-image" class=""/>
      </span>
</a>
<div class="tocify-wrapper">
                <div class="lang-selector">
                            <a href="#" data-language-name="bash">bash</a>
                    </div>
        <div class="search">
        <input type="text" class="search" id="input-search" placeholder="Search">
    </div>
    <ul class="search-results"></ul>

    <ul id="toc">
    </ul>

            <ul class="toc-footer" id="toc-footer">
                            <li><a href="./collection.json">View Postman Collection</a></li>
                            <li><a href='http://github.com/knuckleswtf/scribe'>Documentation powered by Scribe ✍</a></li>
                    </ul>
            <ul class="toc-footer" id="last-updated">
            <li>Last updated: June 16 2020</li>
        </ul>
</div>
<div class="page-wrapper">
    <div class="dark-box"></div>
    <div class="content">
        <h1>Introduction</h1>
<p>Welcome to our API documentation!</p>
<aside>As you scroll, you'll see code examples for working with the API in different programming languages in the dark area to the right (or as part of the content on mobile), and you can switch the programming language of the examples with the tabs in the top right (or from the nav menu at the top left on mobile).</aside><h1>Authenticating requests</h1>
<p>This API is not authenticated.</p><h1>Endpoints</h1>
<h2>/</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">
Lumen (7.1.3) (Laravel Components ^7.0)</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>/</code></strong></p>
<h2>strains</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/strains" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [
        {
            "id": 61,
            "license_id": 4,
            "name": "Strain D1 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.242,
                "cbd_level": 0.215,
                "indica_percentage": 31,
                "sativa_percentage": 69
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 70,
            "license_id": 4,
            "name": "Strain D10 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.142,
                "cbd_level": 0.061,
                "indica_percentage": 33,
                "sativa_percentage": 67
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 71,
            "license_id": 4,
            "name": "Strain D11 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.082,
                "cbd_level": 0.104,
                "indica_percentage": 20,
                "sativa_percentage": 80
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 72,
            "license_id": 4,
            "name": "Strain D12 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.121,
                "cbd_level": 0.066,
                "indica_percentage": 31,
                "sativa_percentage": 69
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 73,
            "license_id": 4,
            "name": "Strain D13 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.164,
                "cbd_level": 0.134,
                "indica_percentage": 61,
                "sativa_percentage": 39
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 74,
            "license_id": 4,
            "name": "Strain D14 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.068,
                "cbd_level": 0.228,
                "indica_percentage": 34,
                "sativa_percentage": 66
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 75,
            "license_id": 4,
            "name": "Strain D15 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.096,
                "cbd_level": 0.21,
                "indica_percentage": 40,
                "sativa_percentage": 60
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 76,
            "license_id": 4,
            "name": "Strain D16 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.234,
                "cbd_level": 0.222,
                "indica_percentage": 64,
                "sativa_percentage": 36
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 77,
            "license_id": 4,
            "name": "Strain D17 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.195,
                "cbd_level": 0.057,
                "indica_percentage": 72,
                "sativa_percentage": 28
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 78,
            "license_id": 4,
            "name": "Strain D18 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.193,
                "cbd_level": 0.212,
                "indica_percentage": 74,
                "sativa_percentage": 26
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 79,
            "license_id": 4,
            "name": "Strain D19 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.247,
                "cbd_level": 0.109,
                "indica_percentage": 61,
                "sativa_percentage": 39
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 62,
            "license_id": 4,
            "name": "Strain D2 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.141,
                "cbd_level": 0.111,
                "indica_percentage": 62,
                "sativa_percentage": 38
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 80,
            "license_id": 4,
            "name": "Strain D20 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.142,
                "cbd_level": 0.136,
                "indica_percentage": 69,
                "sativa_percentage": 31
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 63,
            "license_id": 4,
            "name": "Strain D3 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.171,
                "cbd_level": 0.139,
                "indica_percentage": 61,
                "sativa_percentage": 39
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 64,
            "license_id": 4,
            "name": "Strain D4 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.143,
                "cbd_level": 0.147,
                "indica_percentage": 69,
                "sativa_percentage": 31
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 65,
            "license_id": 4,
            "name": "Strain D5 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.247,
                "cbd_level": 0.099,
                "indica_percentage": 61,
                "sativa_percentage": 39
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 66,
            "license_id": 4,
            "name": "Strain D6 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.151,
                "cbd_level": 0.194,
                "indica_percentage": 33,
                "sativa_percentage": 67
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 67,
            "license_id": 4,
            "name": "Strain D7 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.108,
                "cbd_level": 0.185,
                "indica_percentage": 29,
                "sativa_percentage": 71
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 68,
            "license_id": 4,
            "name": "Strain D8 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.103,
                "cbd_level": 0.238,
                "indica_percentage": 55,
                "sativa_percentage": 45
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        },
        {
            "id": 69,
            "license_id": 4,
            "name": "Strain D9 CA",
            "status": true,
            "info": {
                "testing_status": "none",
                "thc_level": 0.16,
                "cbd_level": 0.101,
                "indica_percentage": 62,
                "sativa_percentage": 38
            },
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:35.000000Z",
            "updated_at": "2020-06-16T04:53:35.000000Z",
            "deleted_at": null
        }
    ],
    "first_page_url": "http:\/\/localhost\/strains?=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "http:\/\/localhost\/strains?=1",
    "next_page_url": null,
    "path": "http:\/\/localhost\/strains",
    "per_page": "25",
    "prev_page_url": null,
    "to": 20,
    "total": 20
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>strains</code></strong></p>
<h2>strains</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/strains" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>strains</code></strong></p>
<h2>strains/{strainId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/strains/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Strain A1 WA",
    "status": true,
    "info": null,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:34.000000Z",
    "updated_at": "2020-06-16T04:53:34.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>strains/{strainId}</code></strong></p>
<h2>strains/{strainId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/strains/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>strains/{strainId}</code></strong></p>
<h2>strains/{strainId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/strains/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>strains/{strainId}</code></strong></p>
<h2>strains/{strainId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/strains/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Strain A1 WA",
    "status": true,
    "info": null,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:34.000000Z",
    "updated_at": "2020-06-16T04:53:34.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>strains/{strainId}/{status}</code></strong></p>
<h2>strains/{strainId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/strains/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Strain A1 WA",
    "status": true,
    "info": null,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:34.000000Z",
    "updated_at": "2020-06-16T04:53:34.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>strains/{strainId}/{status}</code></strong></p>
<h2>strains/{strainId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/strains/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>strains/{strainId}</code></strong></p>
<h2>room-types</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/room-types" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [
        {
            "id": 1,
            "license_id": 1,
            "name": "Producer Propagation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 2,
            "license_id": 1,
            "name": "Producer Cultivation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 3,
            "license_id": 1,
            "name": "Producer Vegetative",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 4,
            "license_id": 1,
            "name": "Producer Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 5,
            "license_id": 1,
            "name": "Producer Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 6,
            "license_id": 2,
            "name": "Producer Propagation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 7,
            "license_id": 2,
            "name": "Producer Cultivation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 8,
            "license_id": 2,
            "name": "Producer Vegetative",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 9,
            "license_id": 2,
            "name": "Producer Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 10,
            "license_id": 2,
            "name": "Producer Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 11,
            "license_id": 3,
            "name": "Producer\/Processor Propagation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 12,
            "license_id": 3,
            "name": "Producer\/Processor Cultivation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 13,
            "license_id": 3,
            "name": "Producer\/Processor Vegetative",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 14,
            "license_id": 3,
            "name": "Producer\/Processor Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 15,
            "license_id": 3,
            "name": "Producer\/Processor Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 16,
            "license_id": 4,
            "name": "Producer\/Processor Propagation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 17,
            "license_id": 4,
            "name": "Producer\/Processor Cultivation",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 18,
            "license_id": 4,
            "name": "Producer\/Processor Vegetative",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 19,
            "license_id": 4,
            "name": "Producer\/Processor Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 20,
            "license_id": 4,
            "name": "Producer\/Processor Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 21,
            "license_id": 5,
            "name": "Processor Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 22,
            "license_id": 5,
            "name": "Processor Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 23,
            "license_id": 6,
            "name": "Processor Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 24,
            "license_id": 6,
            "name": "Processor Waste",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        },
        {
            "id": 25,
            "license_id": 7,
            "name": "Retailer Inventory",
            "status": 1,
            "created_at": "2020-06-16T04:53:33.000000Z",
            "updated_at": "2020-06-16T04:53:33.000000Z",
            "deleted_at": null
        }
    ],
    "first_page_url": "http:\/\/localhost\/room-types?=1",
    "from": 1,
    "last_page": 3,
    "last_page_url": "http:\/\/localhost\/room-types?=3",
    "next_page_url": "http:\/\/localhost\/room-types?=2",
    "path": "http:\/\/localhost\/room-types",
    "per_page": "25",
    "prev_page_url": null,
    "to": 25,
    "total": 56
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>room-types</code></strong></p>
<h2>room-types</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/room-types" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>room-types</code></strong></p>
<h2>room-types/{roomTypeId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/room-types/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation",
    "status": 1,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>room-types/{roomTypeId}</code></strong></p>
<h2>room-types/{roomTypeId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/room-types/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>room-types/{roomTypeId}</code></strong></p>
<h2>room-types/{roomTypeId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/room-types/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>room-types/{roomTypeId}</code></strong></p>
<h2>room-types/{roomTypeId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/room-types/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation",
    "status": 1,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>room-types/{roomTypeId}/{status}</code></strong></p>
<h2>room-types/{roomTypeId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/room-types/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation",
    "status": 1,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>room-types/{roomTypeId}/{status}</code></strong></p>
<h2>room-types/{roomTypeId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/room-types/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>room-types/{roomTypeId}</code></strong></p>
<h2>rooms</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/rooms" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [
        {
            "id": 16,
            "license_id": 4,
            "name": "Producer\/Processor Propagation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:34.000000Z",
            "updated_at": "2020-06-16T04:53:34.000000Z",
            "deleted_at": null
        },
        {
            "id": 17,
            "license_id": 4,
            "name": "Producer\/Processor Cultivation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:34.000000Z",
            "updated_at": "2020-06-16T04:53:34.000000Z",
            "deleted_at": null
        },
        {
            "id": 18,
            "license_id": 4,
            "name": "Producer\/Processor Vegetative CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:34.000000Z",
            "updated_at": "2020-06-16T04:53:34.000000Z",
            "deleted_at": null
        },
        {
            "id": 19,
            "license_id": 4,
            "name": "Producer\/Processor Inventory CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:34.000000Z",
            "updated_at": "2020-06-16T04:53:34.000000Z",
            "deleted_at": null
        },
        {
            "id": 20,
            "license_id": 4,
            "name": "Producer\/Processor Waste CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:34.000000Z",
            "updated_at": "2020-06-16T04:53:34.000000Z",
            "deleted_at": null
        },
        {
            "id": 44,
            "license_id": 4,
            "name": "Producer\/Processor Propagation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:13.000000Z",
            "updated_at": "2020-06-16T04:54:13.000000Z",
            "deleted_at": null
        },
        {
            "id": 45,
            "license_id": 4,
            "name": "Producer\/Processor Cultivation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:13.000000Z",
            "updated_at": "2020-06-16T04:54:13.000000Z",
            "deleted_at": null
        },
        {
            "id": 46,
            "license_id": 4,
            "name": "Producer\/Processor Vegetative CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:13.000000Z",
            "updated_at": "2020-06-16T04:54:13.000000Z",
            "deleted_at": null
        },
        {
            "id": 47,
            "license_id": 4,
            "name": "Producer\/Processor Inventory CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:13.000000Z",
            "updated_at": "2020-06-16T04:54:13.000000Z",
            "deleted_at": null
        },
        {
            "id": 48,
            "license_id": 4,
            "name": "Producer\/Processor Waste CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:13.000000Z",
            "updated_at": "2020-06-16T04:54:13.000000Z",
            "deleted_at": null
        },
        {
            "id": 72,
            "license_id": 4,
            "name": "Producer\/Processor Propagation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:14.000000Z",
            "updated_at": "2020-06-16T04:54:14.000000Z",
            "deleted_at": null
        },
        {
            "id": 73,
            "license_id": 4,
            "name": "Producer\/Processor Cultivation CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:14.000000Z",
            "updated_at": "2020-06-16T04:54:14.000000Z",
            "deleted_at": null
        },
        {
            "id": 74,
            "license_id": 4,
            "name": "Producer\/Processor Vegetative CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:14.000000Z",
            "updated_at": "2020-06-16T04:54:14.000000Z",
            "deleted_at": null
        },
        {
            "id": 75,
            "license_id": 4,
            "name": "Producer\/Processor Inventory CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:14.000000Z",
            "updated_at": "2020-06-16T04:54:14.000000Z",
            "deleted_at": null
        },
        {
            "id": 76,
            "license_id": 4,
            "name": "Producer\/Processor Waste CA",
            "status": 1,
            "is_quarantine": 0,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:54:14.000000Z",
            "updated_at": "2020-06-16T04:54:14.000000Z",
            "deleted_at": null
        }
    ],
    "first_page_url": "http:\/\/localhost\/rooms?=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "http:\/\/localhost\/rooms?=1",
    "next_page_url": null,
    "path": "http:\/\/localhost\/rooms",
    "per_page": "25",
    "prev_page_url": null,
    "to": 15,
    "total": 15
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>rooms</code></strong></p>
<h2>rooms</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/rooms" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>rooms</code></strong></p>
<h2>rooms/{roomId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/rooms/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation WA",
    "status": 1,
    "is_quarantine": 0,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>rooms/{roomId}</code></strong></p>
<h2>rooms/{roomId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/rooms/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>rooms/{roomId}</code></strong></p>
<h2>rooms/{roomId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/rooms/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "validation.required"
        ],
        "status": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>rooms/{roomId}</code></strong></p>
<h2>rooms/{roomId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/rooms/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation WA",
    "status": 1,
    "is_quarantine": 0,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>rooms/{roomId}/{status}</code></strong></p>
<h2>rooms/{roomId}/{status}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/rooms/1/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 1,
    "name": "Producer Propagation WA",
    "status": 1,
    "is_quarantine": 0,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:33.000000Z",
    "updated_at": "2020-06-16T04:53:33.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>rooms/{roomId}/{status}</code></strong></p>
<h2>rooms/{roomId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/rooms/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>rooms/{roomId}</code></strong></p>
<h2>propagations</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/propagations" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [
        {
            "id": 2,
            "license_id": 4,
            "strain_id": 131,
            "mother_id": null,
            "room_id": 7,
            "source_type": 6,
            "manifest_id": null,
            "manifested": 0,
            "quantity": 84,
            "mdk_scheduled": 0,
            "mdk_reason": null,
            "mdk_at": null,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:36.000000Z",
            "updated_at": "2020-06-16T04:53:36.000000Z",
            "deleted_at": null
        },
        {
            "id": 23,
            "license_id": 4,
            "strain_id": 73,
            "mother_id": null,
            "room_id": 7,
            "source_type": 27,
            "manifest_id": null,
            "manifested": 0,
            "quantity": 81,
            "mdk_scheduled": 0,
            "mdk_reason": null,
            "mdk_at": null,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:37.000000Z",
            "updated_at": "2020-06-16T04:53:37.000000Z",
            "deleted_at": null
        },
        {
            "id": 26,
            "license_id": 4,
            "strain_id": 79,
            "mother_id": null,
            "room_id": 2,
            "source_type": 30,
            "manifest_id": null,
            "manifested": 0,
            "quantity": 1,
            "mdk_scheduled": 0,
            "mdk_reason": null,
            "mdk_at": null,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:37.000000Z",
            "updated_at": "2020-06-16T04:53:37.000000Z",
            "deleted_at": null
        },
        {
            "id": 41,
            "license_id": 4,
            "strain_id": 16,
            "mother_id": null,
            "room_id": 20,
            "source_type": 45,
            "manifest_id": null,
            "manifested": 0,
            "quantity": 9,
            "mdk_scheduled": 0,
            "mdk_reason": null,
            "mdk_at": null,
            "sync_code": null,
            "sync_status": 0,
            "synced_at": null,
            "created_at": "2020-06-16T04:53:37.000000Z",
            "updated_at": "2020-06-16T04:53:37.000000Z",
            "deleted_at": null
        }
    ],
    "first_page_url": "http:\/\/localhost\/propagations?=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "http:\/\/localhost\/propagations?=1",
    "next_page_url": null,
    "path": "http:\/\/localhost\/propagations",
    "per_page": "25",
    "prev_page_url": null,
    "to": 4,
    "total": 4
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>propagations</code></strong></p>
<h2>propagations</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/propagations" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "strain_id": [
            "validation.required"
        ],
        "source_type": [
            "validation.required"
        ],
        "room_id": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>propagations</code></strong></p>
<h2>propagations/{propagationId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/propagations/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 3,
    "strain_id": 153,
    "mother_id": null,
    "room_id": 11,
    "source_type": 5,
    "manifest_id": null,
    "manifested": 0,
    "quantity": 75,
    "mdk_scheduled": 0,
    "mdk_reason": null,
    "mdk_at": null,
    "sync_code": null,
    "sync_status": 0,
    "synced_at": null,
    "created_at": "2020-06-16T04:53:36.000000Z",
    "updated_at": "2020-06-16T04:53:36.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>propagations/{propagationId}</code></strong></p>
<h2>propagations/{propagationId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/propagations/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "strain_id": [
            "validation.required"
        ],
        "source_type": [
            "validation.required"
        ],
        "room_id": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>propagations/{propagationId}</code></strong></p>
<h2>propagations/{propagationId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/propagations/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (422):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "The given data was invalid.",
    "errors": {
        "strain_id": [
            "validation.required"
        ],
        "source_type": [
            "validation.required"
        ],
        "room_id": [
            "validation.required"
        ]
    }
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>propagations/{propagationId}</code></strong></p>
<h2>propagations/{propagationId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/propagations/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>propagations/{propagationId}</code></strong></p>
<h2>nutrients</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/nutrients" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [],
    "first_page_url": "http:\/\/localhost\/nutrients?=1",
    "from": null,
    "last_page": 1,
    "last_page_url": "http:\/\/localhost\/nutrients?=1",
    "next_page_url": null,
    "path": "http:\/\/localhost\/nutrients",
    "per_page": "25",
    "prev_page_url": null,
    "to": null,
    "total": 0
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>nutrients</code></strong></p>
<h2>nutrients</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/nutrients" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"nutrient_name":"Test 10","default_unit_per_box":15,"default_unit_price":17,"unit_name":"KG","description":"description"}'
</code></pre>
<blockquote>
<p>Example response (201):</p>
</blockquote>
<pre><code class="language-json">{
    "nutrient_name": "Test 10",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "description",
    "license_id": 4,
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "created_at": "2020-06-16T04:54:18.000000Z",
    "id": 2
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>nutrients</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>nutrient_name</b></code>&nbsp; <small>string</small>     <br>
Nutrient Name.</p>
<p><code><b>default_unit_per_box</b></code>&nbsp; <small>float</small>     <br>
Default Unit Per Box.</p>
<p><code><b>default_unit_price</b></code>&nbsp; <small>float</small>     <br>
Default Unit Price.</p>
<p><code><b>unit_name</b></code>&nbsp; <small>string</small>     <br>
Unit Name.</p>
<p><code><b>description</b></code>&nbsp; <small>string</small>     <br>
Description.</p>
<h2>nutrients/{nutrientId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/nutrients/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 6,
    "nutrient_name": "Test 01",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "Description",
    "total_quantity": 200,
    "status": 1,
    "created_at": "2020-06-16T04:54:00.000000Z",
    "updated_at": "2020-06-16T04:54:06.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>nutrients/{nutrientId}</code></strong></p>
<h2>nutrients/{nutrientId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/nutrients/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"nutrient_name":"Test 10","default_unit_per_box":15,"default_unit_price":17,"unit_name":"KG","description":"description"}'
</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 6,
    "nutrient_name": "Test 10",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "description",
    "total_quantity": 200,
    "status": 1,
    "created_at": "2020-06-16T04:54:00.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>nutrients/{nutrientId}</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>nutrient_name</b></code>&nbsp; <small>string</small>     <br>
Nutrient Name.</p>
<p><code><b>default_unit_per_box</b></code>&nbsp; <small>float</small>     <br>
Default Unit Per Box.</p>
<p><code><b>default_unit_price</b></code>&nbsp; <small>float</small>     <br>
Default Unit Price.</p>
<p><code><b>unit_name</b></code>&nbsp; <small>string</small>     <br>
Unit Name.</p>
<p><code><b>description</b></code>&nbsp; <small>string</small>     <br>
Description.</p>
<h2>nutrients/{nutrientId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/nutrients/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"nutrient_name":"Test 10","default_unit_per_box":15,"default_unit_price":17,"unit_name":"KG","description":"description"}'
</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 6,
    "nutrient_name": "Test 10",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "description",
    "total_quantity": 200,
    "status": 1,
    "created_at": "2020-06-16T04:54:00.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>nutrients/{nutrientId}</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>nutrient_name</b></code>&nbsp; <small>string</small>     <br>
Nutrient Name.</p>
<p><code><b>default_unit_per_box</b></code>&nbsp; <small>float</small>     <br>
Default Unit Per Box.</p>
<p><code><b>default_unit_price</b></code>&nbsp; <small>float</small>     <br>
Default Unit Price.</p>
<p><code><b>unit_name</b></code>&nbsp; <small>string</small>     <br>
Unit Name.</p>
<p><code><b>description</b></code>&nbsp; <small>string</small>     <br>
Description.</p>
<h2>nutrients/{nutrientId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/nutrients/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>nutrients/{nutrientId}</code></strong></p>
<h2>nutrients/{nutrientId}/toggleStatus</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/nutrients/1/toggleStatus" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 6,
    "nutrient_name": "Test 01",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "Description",
    "total_quantity": 200,
    "status": 0,
    "created_at": "2020-06-16T04:54:00.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null,
    "nutrient_inventories": [
        {
            "id": 1,
            "nutrient_id": 1,
            "in_operation_info": {
                "supplier": "Supplier1",
                "invoice": "INV0001",
                "no_boxes": 20,
                "units_per_box": 10,
                "total_price": 4000,
                "unit_price": 20
            },
            "out_operation_info": null,
            "current_quantity": 200,
            "operation_at": "2020-06-01T09:43:36.000000Z",
            "created_at": "2020-06-16T04:54:06.000000Z",
            "updated_at": "2020-06-16T04:54:06.000000Z",
            "deleted_at": null
        }
    ],
    "feed_operations": []
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>nutrients/{nutrientId}/toggleStatus</code></strong></p>
<h2>nutrients/{nutrientId}/toggleStatus</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/nutrients/1/toggleStatus" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "license_id": 6,
    "nutrient_name": "Test 01",
    "default_unit_per_box": 15,
    "default_unit_price": 17,
    "unit_name": "KG",
    "description": "Description",
    "total_quantity": 200,
    "status": 0,
    "created_at": "2020-06-16T04:54:00.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null,
    "nutrient_inventories": [
        {
            "id": 1,
            "nutrient_id": 1,
            "in_operation_info": {
                "supplier": "Supplier1",
                "invoice": "INV0001",
                "no_boxes": 20,
                "units_per_box": 10,
                "total_price": 4000,
                "unit_price": 20
            },
            "out_operation_info": null,
            "current_quantity": 200,
            "operation_at": "2020-06-01T09:43:36.000000Z",
            "created_at": "2020-06-16T04:54:06.000000Z",
            "updated_at": "2020-06-16T04:54:06.000000Z",
            "deleted_at": null
        }
    ],
    "feed_operations": []
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>nutrients/{nutrientId}/toggleStatus</code></strong></p>
<h2>nutrients/{nutrientId}/inventories</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/nutrients/1/inventories" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "current_page": 1,
    "data": [
        {
            "id": 1,
            "nutrient_id": 1,
            "in_operation_info": {
                "supplier": "Supplier1",
                "invoice": "INV0001",
                "no_boxes": 20,
                "units_per_box": 10,
                "total_price": 4000,
                "unit_price": 20
            },
            "out_operation_info": null,
            "current_quantity": 200,
            "operation_at": "2020-06-01T09:43:36.000000Z",
            "created_at": "2020-06-16T04:54:06.000000Z",
            "updated_at": "2020-06-16T04:54:06.000000Z",
            "deleted_at": null
        }
    ],
    "first_page_url": "http:\/\/localhost\/nutrients\/1\/inventories?=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "http:\/\/localhost\/nutrients\/1\/inventories?=1",
    "next_page_url": null,
    "path": "http:\/\/localhost\/nutrients\/1\/inventories",
    "per_page": "25",
    "prev_page_url": null,
    "to": 1,
    "total": 1
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>nutrients/{nutrientId}/inventories</code></strong></p>
<h2>nutrients/{nutrientId}/inventories</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/nutrients/1/inventories" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"supplier":"Supplier1","invoice":"INV0005","no_boxes":20,"units_per_box":"10","total_price":4000,"operation_at":"2020-06-01 09:43:36"}'
</code></pre>
<blockquote>
<p>Example response (201):</p>
</blockquote>
<pre><code class="language-json">{
    "nutrient_id": 1,
    "in_operation_info": {
        "supplier": "Supplier1",
        "invoice": "INV0005",
        "no_boxes": 20,
        "units_per_box": "10",
        "total_price": 4000,
        "unit_price": 20
    },
    "current_quantity": 200,
    "operation_at": "2020-06-01T09:43:36.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "created_at": "2020-06-16T04:54:18.000000Z",
    "id": 2
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>nutrients/{nutrientId}/inventories</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>supplier</b></code>&nbsp; <small>string</small>     <br>
Nutrient Name.</p>
<p><code><b>invoice</b></code>&nbsp; <small>string</small>         <i>optional</i>    <br>
optional Invoice Number.</p>
<p><code><b>no_boxes</b></code>&nbsp; <small>integer</small>     <br>
Number of Box.</p>
<p><code><b>units_per_box</b></code>&nbsp; <small>string</small>     <br>
Unit Per Box.</p>
<p><code><b>total_price</b></code>&nbsp; <small>float</small>     <br>
Total Price.</p>
<p><code><b>operation_at</b></code>&nbsp; <small>date</small>     <br>
Operation Date.</p>
<h2>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://api-trace.docker.localhost/nutrients/1/inventories/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "nutrient_id": 1,
    "in_operation_info": {
        "supplier": "Supplier1",
        "invoice": "INV0001",
        "no_boxes": 20,
        "units_per_box": 10,
        "total_price": 4000,
        "unit_price": 20
    },
    "out_operation_info": null,
    "current_quantity": 200,
    "operation_at": "2020-06-01T09:43:36.000000Z",
    "created_at": "2020-06-16T04:54:06.000000Z",
    "updated_at": "2020-06-16T04:54:06.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-green">GET</small>
<strong><code>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</code></strong></p>
<h2>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://api-trace.docker.localhost/nutrients/1/inventories/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"supplier":"voluptatem","invoice":"INV0005","no_boxes":20,"units_per_box":"10","total_price":4000,"operation_at":"2020-06-01 09:43:36"}'
</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "nutrient_id": "1",
    "in_operation_info": {
        "supplier": "voluptatem",
        "invoice": "INV0005",
        "no_boxes": 20,
        "units_per_box": "10",
        "total_price": 4000,
        "unit_price": 20
    },
    "out_operation_info": null,
    "current_quantity": 200,
    "operation_at": "2020-06-01T09:43:36.000000Z",
    "created_at": "2020-06-16T04:54:06.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-darkblue">PUT</small>
<strong><code>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>supplier</b></code>&nbsp; <small>string</small>         <i>optional</i>    <br>
optional Supplier.</p>
<p><code><b>invoice</b></code>&nbsp; <small>string</small>         <i>optional</i>    <br>
optional Invoice Number.</p>
<p><code><b>no_boxes</b></code>&nbsp; <small>integer</small>     <br>
Number of Box.</p>
<p><code><b>units_per_box</b></code>&nbsp; <small>string</small>     <br>
Unit Per Box.</p>
<p><code><b>total_price</b></code>&nbsp; <small>float</small>     <br>
Total Price.</p>
<p><code><b>operation_at</b></code>&nbsp; <small>date</small>     <br>
Operation Date.</p>
<h2>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PATCH \
    "http://api-trace.docker.localhost/nutrients/1/inventories/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"supplier":"nihil","invoice":"INV0005","no_boxes":20,"units_per_box":"10","total_price":4000,"operation_at":"2020-06-01 09:43:36"}'
</code></pre>
<blockquote>
<p>Example response (202):</p>
</blockquote>
<pre><code class="language-json">{
    "id": 1,
    "nutrient_id": "1",
    "in_operation_info": {
        "supplier": "nihil",
        "invoice": "INV0005",
        "no_boxes": 20,
        "units_per_box": "10",
        "total_price": 4000,
        "unit_price": 20
    },
    "out_operation_info": null,
    "current_quantity": 200,
    "operation_at": "2020-06-01T09:43:36.000000Z",
    "created_at": "2020-06-16T04:54:06.000000Z",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "deleted_at": null
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-purple">PATCH</small>
<strong><code>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>supplier</b></code>&nbsp; <small>string</small>         <i>optional</i>    <br>
optional Supplier.</p>
<p><code><b>invoice</b></code>&nbsp; <small>string</small>         <i>optional</i>    <br>
optional Invoice Number.</p>
<p><code><b>no_boxes</b></code>&nbsp; <small>integer</small>     <br>
Number of Box.</p>
<p><code><b>units_per_box</b></code>&nbsp; <small>string</small>     <br>
Unit Per Box.</p>
<p><code><b>total_price</b></code>&nbsp; <small>float</small>     <br>
Total Price.</p>
<p><code><b>operation_at</b></code>&nbsp; <small>date</small>     <br>
Operation Date.</p>
<h2>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://api-trace.docker.localhost/nutrients/1/inventories/1" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1"</code></pre>
<h3>Request</h3>
<p><small class="badge badge-red">DELETE</small>
<strong><code>nutrients/{nutrientId}/inventories/{nutrientInventoryId}</code></strong></p>
<h2>feed_operations</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://api-trace.docker.localhost/feed_operations" \
    -H "Content-Type: application/json" \
    -H "X-FORWARD-USER-ID: 1" \
    -d '{"plants":[1],"sources":[{"nutrient_inventory_id":1,"applied_quantity":100,"cost":20}],"nutrient_id":1,"nutrient_quantity":100,"feed_at":"2020-06-02 09:43:36","comment":"Demo Comment"}'
</code></pre>
<blockquote>
<p>Example response (201):</p>
</blockquote>
<pre><code class="language-json">{
    "nutrient_id": 1,
    "feed_at": "2020-06-02T09:43:36.000000Z",
    "comment": "Demo Comment",
    "license_id": 4,
    "nutrient_name": "Test 01",
    "updated_at": "2020-06-16T04:54:18.000000Z",
    "created_at": "2020-06-16T04:54:18.000000Z",
    "id": 1
}</code></pre>
<h3>Request</h3>
<p><small class="badge badge-black">POST</small>
<strong><code>feed_operations</code></strong></p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p><code><b>plants.*</b></code>&nbsp; <small>integer</small>         <i>optional</i>    <br>
Array of Plant ID.</p>
<p><code><b>sources.*.nutrient_inventory_id</b></code>&nbsp; <small>integer</small>         <i>optional</i>    <br>
Nutrient Inventory Id.</p>
<p><code><b>sources.*.applied_quantity</b></code>&nbsp; <small>float</small>         <i>optional</i>    <br>
Applied Quantity.</p>
<p><code><b>sources.*.cost</b></code>&nbsp; <small>float</small>         <i>optional</i>    <br>
Cost.</p>
<p><code><b>nutrient_id</b></code>&nbsp; <small>integer</small>     <br>
Nutrient ID.</p>
<p><code><b>nutrient_quantity</b></code>&nbsp; <small>integer</small>     <br>
Nutrient Quantity.</p>
<p><code><b>feed_at</b></code>&nbsp; <small>date</small>     <br>
Operation Date.</p>
<p><code><b>comment</b></code>&nbsp; <small>string</small>     <br>
Comment.</p>
    </div>
    <div class="dark-box">
                    <div class="lang-selector">
                                    <a href="#" data-language-name="bash">bash</a>
                            </div>
            </div>
</div>
<script>
    $(function () {
        var languages = ["bash"];
        setupLanguages(languages);
    });
</script>
</body>
</html>
